Rysunek Roboczy: Widok 2D kształtu

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Shape2DView and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

{{{Name/pl}}}

Lokalizacja w menu
Modyfikacja → Widok 2D kształtu
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
brak

Opis

Polecenie Draft Shape2DView.svg Widok 2D kształtu' tworzy rzuty 2D z wybranych obiektów, zwykle brył przestrzennych lub Płaszczyzny przekroju środowiska Architektura. Rzuty są umieszczane w oknie widoku 3D.

Rzuty Widok 2D kształtu mogą być wyświetlane w środowisku Rysunek Techniczny używając polecenia Wstaw widok rysunku. Alternatywnie środowisko Rysunek Techniczny oferuje swoje własne narzędzia do rzutowania. Tworzą one jednak rzuty, które są wyświetlane tylko na stronie rysunku a nie w oknie widoku 3D.

Draft Shape2DView example.jpg

Rzutowanie brył na płaszczyznę XY

Użycie

  1. Opcjonalnie obróć widok 3D. Kierunek ujęcia widoku w oknie widoku 3D określa wektor projekcji. Na przykład, widok od góry będzie rzutować na płaszczyznę XY. Wektor projekcji jest ignorowany dla rzutów utworzonych przez funkcję Płaszczyzna przekroju środowiska Architektura.
  2. Opcjonalnie wybierz jeden lub więcej obiektów.
  3. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Shape2DView.svg Widok 2D kształtu.
    • Wybierz opcję z menu Modyfikacja → Draft Shape2DView.svg Widok 2D kształtu.
  4. Jeśli nie wybrałeś jeszcze żadnego obiektu: wybierz obiekt w oknie widoku 3D.
  5. Rzutowane obiekty są tworzone na płaszczyźnie XY.

Jak tworzyć plany i przekroje o różnych szerokościach linii

Draft shape2dview example plan.png

Rysunki z różnymi szerokościami linii dla linii widocznych i linii cięcia mogą być łatwo utworzone przez użycie dwóch obiektów Widok 2D kształtu z tego samego Płaszczyzna przekroju. Jeden z obiektów Widok 2D kształtu ma ustawiony tryb rzutowania na Bryła, który renderuje linie widoczne, a drugi ustawiony na Linia cięcia lub Powierzchnia cięcia, który renderuje linie cięcia. Oba obiekty Widok 2D kształtu są następnie umieszczone w tym samym miejscu, jeden na drugim.

Właściwości

Zobacz również: Edytor właściwości.

Obiekt Widok 2D kształtu wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEAktualizacja automatyczna (Bool): określa, czy rzut powinien być automatycznie obliczany ponownie, jeśli obiekt DANEPodstawa ulegnie zmianie. Wybór wartości Fałsz może być użyteczny, jeśli w dokumencie jest wiele obiektów Widok 2D kształtu lub jeśli są one złożone. Jeśli wybrano wartość Fałsz, do aktualizacji rzutów należy użyć polecenia Std: Odśwież. dostępne w wersji 0.20
  • DANEPodstawa (Link): określa obiekt, który ma być wyświetlany.
  • DANENumer ściany (IntegerList): określa indeksy ścian, które mają być rzutowane. Działa tylko jeśli DANETryb rzutowania ma wartość Poszczególne ściany.
  • DANEFuse Arch (Bool): określa czy obiekty Architektoniczne tego samego typu i z tego samego materiału są łączone czy nie.
  • DANEUkryte linie (Bool): określa, czy ukryte linie są wyświetlane, czy nie.
  • DANEW miejscu (Bool): działa tylko jeśli wybrany obiekt jest płaszczyzną przekroju środowiska Architektura, a DANETryb rzutowania to Cutlines lub Cutfaces, określa czy rzut będzie współplanarny z płaszczyzną przekroju.
  • DANERzut (Vector): określa kierunek rzutowania. Ignorowane, jeśli DANEPodstawa jest płaszczyzna przekroju Architektura.
  • DANETryb projekcji (Enumeration): określa tryb projekcji. Dostępne są następujące tryby:
    • Bryła: rzutuje cały wybrany obiekt.
    • Poszczególne ściany: wyświetla tylko ściany z listy DANENumer ściany.
    • Cutlines: działa tylko wtedy, gdy wybranym obiektem jest płaszczyzna przekroju środowiska Architektura, rzutuje tylko krawędzie przecięte przez płaszczyznę przekroju.
    • Cutfaces: działa tylko wtedy, gdy wybranym obiektem jest płaszczyzna przekroju środowiska Architektura, rzutuje powierzchnie przecięte płaszczyzną przekroju przez bryłę jako powierzchnie czołowe.
    • Ściany bryły: rzutuje cały wybrany obiekt poprzez cięcie powierzchni jedna po drugiej. Może być użyty, jeśli tryb Bryła daje złe wyniki. dostępne w wersji 0.20
  • DANEDługość segmentu (Float): określa rozmiar w milimetrach odcinków liniowych, jeżeli parametr DANETesselacja ma wartość PRAWDA.
  • DANETesselacja (Bool): określa czy teselacja powinna zostać wykonana. Teselacja oznacza, że krzywe są zastępowane przez sekwencje segmentów liniowych. Może to być pracochłonne obliczeniowo, jeśli wartość DANEDługość segmentu jest zbyt krótka.
  • DANEWyłącznie widoczne (Bool): określa, czy rzut powinien być obliczany ponownie tylko wtedy, gdy jest widoczny.
  • DANEPunkty wykluczenia (Vector list): Lista punktów wykluczenia. Krawędź przechodząca przez którykolwiek z tych punktów nie zostanie narysowana. dostępne w wersji 0.20

Widok

Rysunek Roboczy

  • WIDOKWzór (Enumeration): niewykorzystane.
  • WIDOKRozmiar wzoru (Float): niewykorzystane.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć rzut 2D użyj metody make_shape2dview modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeShape2DView.

shape2dview = make_shape2dview(baseobj, projectionVector=None, facenumbers=[])
  • baseobj to obiekt, który ma być rzutowany.
  • projectionVector jest wektorem projekcji. Jeżeli nie jest podany, używana jest oś Z.
  • facenumbers jest listą numerów ścian (0 - bazowy). Jeśli podano, tylko te ściany są brane pod uwagę.
  • shape2dview jest zwracana wraz z utworzonym rzutem 2D.

W razie potrzeby zmień właściwość Tryb projekcji tworzonego obiektu. Może to być: "Bryła", "Poszczególne ściany", "Cutlines", "Cutfaces" lub "Ściany bryły".

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 500
box.Height = 1000

shape1 = Draft.make_shape2dview(box)

shape2 = Draft.make_shape2dview(box, App.Vector(1, -1, 1))

shape3 = Draft.make_shape2dview(box, App.Vector(-1, 1, 1), [0, 5])
shape3.ProjectionMode = "Individual Faces"

doc.recompute()